<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" lang="en">
<head>
    <meta charset="UTF-8">
    <title>Create Task</title>
</head>
<body>
<h2>Task</h2>
<form action="/v1/api/users" method="post" th:object="${create-user}">
    <label for="username">Username</label>
    <input type="text" id="username" name="username"
           th:field="*{username}">

    <label for="status">Status</label>
    <input type="text" id="status" name="userStatus" th:field="*{status}">

    <label for="age">Age</label>
    <input type="text" id="age" name="age" th:field="*{age}">

    <label for="email">Email</label>
    <input type="text" id="email" name="email" th:field="*{email}">

    <button type="submit">Save User</button>
</form>

</body>
</html>